
#import <appkit/appkit.h>

#define GK_DEFNUMSOUNDS 1
#define GK_DEFNUMTYPES 1

@interface SoundPlayer:Object
{
    id  soundListList, streamGroup, device;
	id currentTime, startTime;
	id preferences;
	id gameScreen;
	int soundType, numTypes, numSounds;
	BOOL _initialized, turnedOn;
}

- init;
- initSounds:(int)ns types:(int)nt streams:(int)nstr;
- appDidInit:sender;	// forwarded by GameBrain
- loadSounds;
- shutUpUntil:aTime;
- turnOn:(BOOL)flag;
- play:sender; // uses sender's tag to get sound # to play
- playNum:(int)num;
- setSoundType:(int)num;
- (int)soundType;
- soundNum:(int)num type:(int)type;  // returns the appropriate GKSound
- freeObjects;
- free;

@end
